package net.ericaro.neobin;

import java.io.File;
import java.io.IOException;

import javax.xml.bind.JAXBException;
import javax.xml.parsers.FactoryConfigurationError;
import javax.xml.stream.XMLStreamException;

import net.ericaro.neobin.v1.Neobin;

public class NeoBin {

	public static void generate(File target, File... sources) throws NeoBinException{
		
		try {
			for(File f: sources) {
				BinaryFormat bf = new BinaryFormatBuilder().build( (Neobin) FileUtil.read(f) );
				BinGenerator.compile(bf, target);
				
			}
		} catch (Exception e) {
			throw new NeoBinException(e);
		}
		
		
		
	}

	
	
	
}
